Draft Move/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(13 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav|[[Draft_Label|Label]]|[[Draft_Rotate|Rotate]]|[[Draft_Module|Draft]]|IconL=Draft_Label.svg|IconC=Workbench_Draft.svg|IconR=Draft_Rotate.svg}}
{{Docnav
|[[Draft_AnnotationStyleEditor|AnnotationStyleEditor]]
|[[Draft_Rotate|Rotate]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_AnnotationStyleEditor.svg
|IconR=Draft_Rotate.svg
|IconC=Workbench_Draft.svg
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/es
{{GuiCommand/es|Name=Draft Move|Name/es=Draft Move|Workbenches=[[Draft Module/es|Croquis]]|MenuLocation=Croquis -> Mover|Shortcut=M V}}
|Name=Draft Move
|Name/es=Draft Move
|MenuLocation=Croquis -> Mover
|Workbenches=[[Draft_Workbench/es|Croquis]]
|Shortcut={{KEY|M}} {{KEY|V}}
}}
</div>
</div>


<span id="Description"></span>
==Descripción==
==Descripción==


Line 12: Line 27:
</div>
</div>


The Move tool can be used on 2D shapes created with the [[Draft Workbench]] or [[Sketcher Workbench]], but can also be used on many types of 3D objects such as those created with the [[Part Workbench]] or [[Arch Workbench]].
The command can be used on 2D objects created with the [[Draft_Workbench|Draft Workbench]] or [[Sketcher_Workbench|Sketcher Workbench]], but also on many 3D objects such as those created with the [[Part_Workbench|Part Workbench]], [[PartDesign_Workbench|PartDesign Workbench]] or [[Arch_Workbench|Arch Workbench]].

To produce various copies in different arrangements use [[Draft Array]], [[Draft PathArray]] and [[Draft PointArray]].


[[Image:Draft_Move_example.jpg|400px]]
[[Image:Draft_Move_example.jpg|400px]]
{{Caption|Moving an object from one point to another point}}
{{Caption|Moving an object from one point to another}}


<span id="Usage"></span>
==Utilización==
==Utilización==

See also: [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
# Selecciona los objetos que deseas mover o copiar
# Selecciona los objetos que deseas mover o copiar
# Presiona el botón {{KEY|[[Image:Draft Move.png|16px]] [[Draft Move/es|Mover]]}}, o presiona las teclas {{KEY|M}} y {{KEY|V}}
# Presiona el botón {{KEY|[[Image:Draft Move.png|16px]] [[Draft Move/es|Mover]]}}, o presiona las teclas {{KEY|M}} y {{KEY|V}}
# Designa un primer punto en la vista 3D, o tipo en [[Draft_Coordinates/es|coordenadas]]
# Designa un primer punto en la vista 3D, o tipo en coordenadas
# Designa otro punto en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]
# Designa otro punto en la vista 3D, o escribe unas coordenadas
</div>
</div>


<span id="Options"></span>
===Limitations===
When moving an object that is based on a [[Sketcher Sketch]], for example, a feature created with the [[PartDesign Workbench]] ([[PartDesign Pad|Pad]], [[PartDesign Revolution|Revolution]], etc.) you must move the original sketch. If you move the derived object, it will just go back to the position defined by the sketch.

==Opciones==
==Opciones==

The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts (for version 0.22).


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 43: Line 59:
* Presiona {{KEY|ESC}} o el botón {{KEY|'''Cancelar'''}} para abortar el comando actual.
* Presiona {{KEY|ESC}} o el botón {{KEY|'''Cancelar'''}} para abortar el comando actual.
</div>
</div>

==Notes==

* An Object that is [[Part_EditAttachment|attached]] cannot be moved with the Draft Move command. To move it either its {{PropertyData|Support}} object has to be moved, or its {{PropertyData|Attachment Offset}} has to be changed.

==Preferences==

See also: [[Preferences_Editor|Preferences Editor]] and [[Draft_Preferences|Draft Preferences]].

* To change the initial focus of the task panel to the {{MenuCommand|Length}} input box: {{MenuCommand|Edit → Preferences... → Draft → General → Set focus on Length instead of X coordinate}}. Note that you must move the pointer in the [[3D_view|3D view]] for the change to take effect.
* To reselect the base objects after copying objects: {{MenuCommand|Edit → Preferences... → Draft → General → Select base objects after copying}}.

==Scripting==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 53: Line 82:


{{Code|code=
{{Code|code=
movedlist = move(objectslist, vector, copy=False)
moved_list = move(objectslist, vector, copy=False)
}}
}}


Line 67: Line 96:


{{Code|code=
{{Code|code=
import FreeCAD, Draft
import FreeCAD as App
import Draft


doc = App.newDocument()
Polygon1 = Draft.makePolygon(5, radius=1000)
Polygon2 = Draft.makePolygon(3, radius=500)
Polygon3 = Draft.makePolygon(6, radius=220)


polygon1 = Draft.make_polygon(5, radius=1000)
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
polygon2 = Draft.make_polygon(3, radius=500)
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
polygon3 = Draft.make_polygon(6, radius=220)
Draft.move(Polygon2, FreeCAD.Vector(1000, -1000, 0))
Draft.move(Polygon3, FreeCAD.Vector(-500, -500, 0))


Draft.move(polygon1, App.Vector(500, 500, 0))
List1 = [Polygon1, Polygon2, Polygon3]
Draft.move(polygon1, App.Vector(500, 500, 0))
Draft.move(polygon2, App.Vector(1000, -1000, 0))
Draft.move(polygon3, App.Vector(-500, -500, 0))


list1 = [polygon1, polygon2, polygon3]
vector = FreeCAD.Vector(-2000, -2000, 0)

List2 = Draft.move(List1, vector, copy=True)
List3 = Draft.move(List1, -2*vector, copy=True)
vector = App.Vector(-2000, -2000, 0)
list2 = Draft.move(list1, vector, copy=True)
list3 = Draft.move(list1, -2*vector, copy=True)

doc.recompute()
}}
}}


{{Docnav|[[Draft_Label|Label]]|[[Draft_Rotate|Rotate]]|[[Draft_Module|Draft]]|IconL=Draft_Label.svg|IconC=Workbench_Draft.svg|IconR=Draft_Rotate.svg}}


{{Docnav
{{Draft Tools navi}}
|[[Draft_AnnotationStyleEditor|AnnotationStyleEditor]]
|[[Draft_Rotate|Rotate]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_AnnotationStyleEditor.svg
|IconR=Draft_Rotate.svg
|IconC=Workbench_Draft.svg
}}


{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 05:01, 9 January 2024

Draft Move

Ubicación en el Menú
Croquis -> Mover
Entornos de trabajo
Croquis
Atajo de teclado por defecto
M V
Introducido en versión
-
Ver también
Ninguno

Descripción

La herramienta Mover mueve o copia los objetos seleccionados de un punto a otro. Si no se han seleccionado objetos, te invita a seleccionarlos.

The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench.

Moving an object from one point to another

Utilización

See also: Draft Snap and Draft Constrain.

  1. Selecciona los objetos que deseas mover o copiar
  2. Presiona el botón Mover, o presiona las teclas M y V
  3. Designa un primer punto en la vista 3D, o tipo en coordenadas
  4. Designa otro punto en la vista 3D, o escribe unas coordenadas

Opciones

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 0.22).

  • Presiona X, Y o Z después de un punto para restringir el siguiente punto sobre el eje indicado.
  • Para introducir coordenadas manualmente, simplemente introduce los números y presiona ENTER entre cada componente X, Y y Z.
  • Presiona R o selecciona la casilla para activar/desactivar el botón Relativas. Si está activado el modo relativas, las coordenadas del siguiente punto son relativas al punto anterior. En otro caso, son absolutas, tomadas desde el origen de coordenadas (0,0,0).
  • Presiona T o selecciona la casilla para activar/desactivar el botón Continuar. Si el modo continuar está activado, la herramienta mover se reiniciará después de terminar, permitiendo mover o copiar los objetos otra vez sin volver a pulsar el botón de Mover.
  • Presionando ALT o C o seleccionando el botón Copy se creará una copia de los objetos, en lugar de moverlos. Si mantienes la tecla ALT pulsada después de designar el segundo punto, serás capaz de ubicar más copias, hasta que liberes la tecla ALT.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la ubicación de ajuste más cercana, independientemente de la distancia.
  • Presiona SHIFT mientras dibujas para restringir tu siguiente punto horizontal o verticalmente en relación con el último.
  • Presiona ESC o el botón Cancelar para abortar el comando actual.

Notes

  • An Object that is attached cannot be moved with the Draft Move command. To move it either its DatosSupport object has to be moved, or its DatosAttachment Offset has to be changed.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the initial focus of the task panel to the Length input box: Edit → Preferences... → Draft → General → Set focus on Length instead of X coordinate. Note that you must move the pointer in the 3D view for the change to take effect.
  • To reselect the base objects after copying objects: Edit → Preferences... → Draft → General → Select base objects after copying.

Scripting

Programación

La herramienta Mover se puede utilizar en macros y desde la consola de Pyython utilizando la siguiente función:

moved_list = move(objectslist, vector, copy=False)
  • Mueve el objeto dado o los objetos contenido en la lista indicada
en la dirección y distancia indicada por el vector dado. 
  • Si copymode es True, los objetos actuales no se moverán, sino que
en su lugar se crearán copias. 
  • Devuelve los objetos (o sus copias si copymode era True)

Ejemplo:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon1 = Draft.make_polygon(5, radius=1000)
polygon2 = Draft.make_polygon(3, radius=500)
polygon3 = Draft.make_polygon(6, radius=220)

Draft.move(polygon1, App.Vector(500, 500, 0))
Draft.move(polygon1, App.Vector(500, 500, 0))
Draft.move(polygon2, App.Vector(1000, -1000, 0))
Draft.move(polygon3, App.Vector(-500, -500, 0))

list1 = [polygon1, polygon2, polygon3]

vector = App.Vector(-2000, -2000, 0)
list2 = Draft.move(list1, vector, copy=True)
list3 = Draft.move(list1, -2*vector, copy=True)

doc.recompute()